/*Para Pov 2.0. Esta escena fue creada usando FTPov, en un 486 DX4-100 tarda 
1 hora 6 minutos en  800x600. Cada archivo fue creado con Moray, excepto el de
las texturas que fueron hechas desde fuera y luego unido todo a mano.

Raul Oca;a Rodriguez. Mostoles
Tiempo de creacion:  3 semanas  Terminado: 4-10-1995.
Ampliacion: 8-10-1995. Se ha a;adido los fluorescentes al techo y se ha corregi
do el error que habia en el resplado de las sillas (Los tubos estaban delante
del respaldo)
Ampliacion 2 : 6-11-1995. Modificacion en las texturas de las perchas y en la
del cielo. Tambien se ha a;adido 4 luces mas que se encuentran detras de las
ventanas.*/


#include "shapes.inc"
#include "texturas.inc"
#include "pupitre.inc"
#include "percha.inc"
#include "luz.inc"

camera {  
  location  <2.000, -22.000, 7.300>
  direction <0.0,     0.0,  0.5>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.3333,  0.0,  0.0>
  look_at   <-1.0, 10.0, 0.0> 
}

light_source {   
  <-20.0, 14.0, 10.0>
  color rgb <1, 1, 1>
}

light_source {   
  <-20.0, -20.0, 4.5>
  color rgb <1, 1, 1>
}

light_source {
  <18, -20, 4.5>
  color rgb <1, 1, 1>
}

light_source {
   <18.0, 14.0, 7.0>
   color rgb <1, 1, 1>
}

light_source {   
  <-22.0, 3.0, 5.0>
  color rgb <.8, .8, .8>
}

light_source {   
  <-22.0, -2.0, 5>
  color rgb <.8, .8, .8>
}

light_source {
  <-22, -7.3, 5>
  color rgb <.8, .8, .8>
}

light_source {
   <-22.0, -13.5, 5>
   color rgb <.8, .8, .8>
}

#declare Paredizq = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Pared
  }
  scale <0.5, 20.0, 10.20>
  translate <-9.0, -5.0, 4.0>
}

#declare HUECOVENTANA = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Pared
  }
  scale <1.0, 1.7, 3.4>
  translate <-9.255, 3.0, 5.0>
}

#declare HUECOVENTANA1 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Pared
  }
  scale <1.0, 1.7, 3.4>
  translate <-9.0, -2.0, 5.0>
}

#declare HUECOVENTANA2 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Pared
  }
  scale <1.0, 1.7, 3.4>
  translate <-9.0, -7.3, 5.0>
}

#declare HUECOVENTANA3 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Pared
  }
  scale <1.0, 1.7, 3.4>
  translate <-9.0, -13.5, 5.0>
}

#declare MARCO = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Gris_metal
  }
  scale <1.2, 2.1, 3.8>
  translate <-9.3, 3.0, 5.0>
}

#declare MARCO1 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Gris_metal
  }
  scale <1.2, 2.0, 3.8>
  translate <-9.3, -2.2, 5.0>
}

#declare MARCO2 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Gris_metal
  }
  scale <1.2, 2.2, 3.8>
  translate <-9.3, -7.3, 5.0>
}

#declare MARCO3 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Gris_metal
  }
  scale <1.2, 2.2, 3.8>
  translate <-9.3, -13.5, 5.0>
}

#declare CRISTAL = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Cristal
  }
  scale <0.2, 1.7, 3.4>
  translate <-9.0, 3.0, 5.0>
}
#declare CRISTAL1 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Cristal
  }
  scale <0.2, 1.7, 3.4>
  translate <-9.0, -2.0, 5.0>
}

#declare CRISTAL2 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Cristal
  }
  scale <0.2, 1.7, 3.4>
  translate <-9.0, -7.3, 5.0>
}

#declare CRISTAL3 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Cristal
  }
  scale <0.2, 1.7, 3.4>
  translate <-9.0, -13.5, 5.0>
}

union{
  difference {
    object { Paredizq }
    object { HUECOVENTANA }
    object { HUECOVENTANA1 }
    object { HUECOVENTANA2 }
    object { HUECOVENTANA3 }
    object { MARCO }
    object { MARCO1 }
    object { MARCO2 }
    object { MARCO3 }
  texture {
    Pared}
    }  
  object { CRISTAL }
  object { CRISTAL1 }
  object { CRISTAL2 }   
  object { CRISTAL3 }
  translate <-12.5, 8.4, 0>
}

box {   // ParedFrente
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Pared
  }
  scale <15.5, 0.5, 10.0>
  translate <-2.0, 15.0, 4.0>
}

box {   // ParedDerch
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Pared
  }
  scale <3.5, 4.0, 10.0>
  translate <16.5, 13.0, 4.0>
}

box {   // ParedDerch2
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Pared
  }
  scale <0.4, 18.0, 10.0>
  translate <18.5, 7.0, 4.0>
}

#declare PIZARRA = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
   Verde_mate
  }
  scale <3.6, 0.32, 1.6>
  translate <0, 3.6, 0>
}

#declare MARCOPIZARRA = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Verde_metal
  }
  scale <4.0, 0.3, 2.0>
  translate <0, 3.6, 0>
}

union {
  object { PIZARRA }
  object { MARCOPIZARRA }
  scale <2.0, 1.0, 2.5>
  translate <-1.0, 11.0, 4.7>
}

box {   // SUELO
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Suelo
  }
  no_shadow
  scale <19.5, 18.5, 0.1>
  translate <-1.0, 3.5, -6.0>
}

box {   // TECHO
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Pared
  }
  no_shadow
  scale <19.5, 18.5, 0.1>
  translate <-1.0, 5.0, 14.0>
}

sphere{ <0,0,0> 100 
    texture {Cielo scale <25, 25, 25> }
}

object {PUPITRE scale <1.4, 1.3, 1.6> translate <-12.7, 11.5, -5>}
object {PUPITRE scale <1.4, 1.3, 1.6> translate <-12.7, 1.5, -5>}
object {PUPITRE scale <1.4, 1.3, 1.6> translate <-12.7, -5.5, -5>}
object {PUPITRE scale <1.4, 1.3, 1.6> translate <-12.7, -11.5, -5>}

object {PUPITRE scale <1.4, 1.3, 1.6> translate <-6.75, 11.5, -5>}
object {PUPITRE scale <1.4, 1.3, 1.6> translate <-6.75, 1.6, -5>}
object {PUPITRE scale <1.4, 1.3, 1.6> translate <-6.75, -5.5, -5>}
object {PUPITRE scale <1.4, 1.3, 1.6> translate <-6.75, -11.5, -5>}

object {PUPITRE scale <1.4, 1.3, 1.6> translate <3.77, 11.5, -5>}
object {PUPITRE scale <1.4, 1.3, 1.6> translate <4, 1.5, -5>}
object {PUPITRE scale <1.4, 1.3, 1.6> translate <4, -5.5, -5>}
object {PUPITRE scale <1.4, 1.3, 1.6> translate <4, -11.5, -5>}

object {PUPITRE scale <1.4, 1.3, 1.6> translate <9.2, 11.5, -5>}
object {PUPITRE scale <1.4, 1.3, 1.6> translate <9.9, 1.5, -5>}
object {PUPITRE scale <1.4, 1.3, 1.6> translate <9.9, -5.5, -5>}
object {PUPITRE scale <1.4, 1.3, 1.6> translate <9.9, -11.5, -5>}

object {PERCHAS translate <18.2, -5.8, 4.5>}
object {PERCHAS translate <18.2, -.4, 4.5>}
object {PERCHAS translate <18.2, 4.5, 4.5>}

object {FLUORESCENTE scale <1, .4, 1> translate <8, -8.5, 13.5>} 
object {FLUORESCENTE scale <1, .4, 1> translate <8, -4, 13.5>}
object {FLUORESCENTE scale <1, .4, 1> translate <8, 1, 13.5>}
object {FLUORESCENTE scale <1, .4, 1> translate <-11, -8.5, 13.5>}
object {FLUORESCENTE scale <1, .4, 1> translate <-11, -4, 13.5>}
object {FLUORESCENTE scale <1, .4, 1> translate <-11, 1, 13.5>}
